Status: Resolved Start date: 05/02/2019
Severity: Low % Done: 100%
Assignee:

Category: Plugins/Add-Ons

Target version: 1.9.0

Version: 1.7.0 Language: English (US)
Platform: Windows Mod Related: No
Description

A variant node definition can set a new location and orientation for a node but the orientation is ignored. Example - if a node is
declared as node_stack_top = 0.0, 0.5, 0.0, 0, 1, 0, 0 in the main body and a variant moves/rotates it to node_stack_top = 1.5, 0.0,
0.0, 1, 0, 0, 0 the node moves but the attach direction doesn't change (when the variant is selected)

Related issues:
Related to Kerbal Space Program - Bug #22749: Variant attach node is ignored Resolved 06/02/2019

History

#1 - 06/02/2019 09:11 PM - wasml
- File TestStackDir.cfg added

Extra info to reproduce:

Steps to Replicate

1) Drop the attached file into GameData. This file is a test variant part that combines the FL-T100, 200, 400 and 800 tanks. The base variant 800 has
a bottom stack node oriented at 45 degrees while the three variants have normal stack nodes.

2) Start the game, enter the VAB and add a 1x1 panel.

3) Select the new test variant — last tank in the fuel tank tab — Title “Variant Stack Test” and stack attach to the panel with the bottom node. The tank
will attach at a 45 degree angle.

4) Select any/all of the non-base variants and surface attach to the panel. The tank attaches at the same 45 degree angle even though the variant
specified a normal upright stack node.

Expected
The 800 variant tank attaches at an angle. The 400, 200 and 100 variants should attach normally in an upright position.

Observed
All tanks attach at an angle.

Other info
Running a new clean install of KSP version 1.7.1 from the downloaded file ksp-win64-1.7.1.zip

#2 - 11/04/2019 05:54 PM - victorr
- Related to Bug #22749: Variant attach node is ignored added

#4 - 02/15/2020 05:50 PM - victorr
- Status changed from New to Ready to Test
- Target version set to 1.9.0

- % Done changed from 0 to 80

We have made changes in this last release and would like your feedback please.

#5 - 02/19/2020 01:01 PM - wasml

Confirm that the node attach direction does change correctly. | did notice that while the position of a part attached to a moved node does move, the
attach direction does not. For example if a part is attached to a node that attaches in the +Y direction and then a variant is chosen with that node at a
45 degree angle - the part will move with the node but remain in a +Y direction. A simple workaround is to simply remove and reattach the part.
Thanks for fixing this.
#6 - 08/10/2020 03:16 PM - victorr
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

Files

TestStackDir.cfg
